%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 2
%define qtsubminor 0

%define rel 2

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtgraphicaleffects-%{qtversion}-%date
%else
%define qttarballdir qtgraphicaleffects-opensource-src-%{qtversion}
%endif

Name: qtgraphicaleffects5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt GUI toolkit

%files
%_qt5_datadir/qml/QtGraphicalEffects/

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std



%changelog
* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556738
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554402
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547078
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538941
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491165
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428818
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427044
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410246
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394020
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392451
- New version 5.0.0 rc1

  + fwang <fwang>
    - use xz

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 379992
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335549
- Qt 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 323211
- New rc1 daily snapshot
- New daily rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319112
- imported package qtgraphicaleffects5

